requires 'perl', '5.8.8';

requires 'Data::Float';
requires 'Data::Integer';
requires 'Error::TypeTiny';
requires 'Scalar::Util', '1.20';
requires 'Type::Library';
requires 'Type::Tiny';
requires 'Types::Standard';

on test => sub {
    requires 'Test::CheckDeps';
    requires 'Test::Exception';
    requires 'Test::More';
    requires 'Test::TypeTiny';
};

on develop => sub {
    requires 'Dist::Zilla::PluginBundle::Author::GSG';
};